#### D.14.7.14 from_boolean_set

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  from_boolean_set(sb); sb boolean set

Return:
  Boolean set sb in the representation of a zdd

Example:

    LIB "polybori.lib";
    ring r=0,(x,y,z),Dp;
    poly f=(x+1)*(y+1)*(z+1);
    bpoly fb=f;
    bset fs=fb;
    from_boolean_set(fs);
    poly g=x*y*z+1;
    bpoly gb=g;
    bset gs=gb;
    from_boolean_set(gs);
    ring R=0,(x(1..4)),Dp;
    poly h=(x(1)+1)*(x(2)+1)*(x(3)+1)*(x(4)+1);
    pyobject hb=boolean_poly(h);
    def hs=hb.set();
    from_boolean_set(hs);

See also: boolean_ideal; boolean_std.

User manual for Singular version 4.4.1, 2025, generated by texi2html.